- page_title           "#{@issue.title} (##{@issue.iid})", "Issues"
- page_description     @issue.description
- page_card_attributes @issue.card_attributes

= render "header_title"

.issue
  .detail-page-header
    .status-box{ class: status_box_class(@issue) }
      - if @issue.closed?
        Closed
      - else
        Open
    %span.identifier
      Issue ##{@issue.iid}
    %span.creator
      &middot;
      opened by #{link_to_member(@project, @issue.author, size: 24)}
      &middot;
      = time_ago_with_tooltip(@issue.created_at, placement: 'bottom', html_class: 'issue_created_ago')
      - if @issue.updated_at != @issue.created_at
        %span
          &middot;
          = icon('edit', title: 'edited')
          = time_ago_with_tooltip(@issue.updated_at, placement: 'bottom', html_class: 'issue_edited_ago')

    .pull-right
      - if can?(current_user, :create_issue, @project)
        = link_to new_namespace_project_issue_path(@project.namespace, @project), class: 'btn btn-nr btn-grouped new-issue-link btn-success', title: 'New Issue', id: 'new_issue_link' do
          = icon('plus')
          New Issue
      - if can?(current_user, :update_issue, @issue)
        - if @issue.closed?
          = link_to 'Reopen', issue_path(@issue, issue: {state_event: :reopen}, status_only: true), method: :put, class: 'btn btn-nr btn-grouped btn-reopen'
        - else
          = link_to 'Close', issue_path(@issue, issue: {state_event: :close}, status_only: true), method: :put, class: 'btn btn-nr btn-grouped btn-close', title: 'Close Issue'

        = link_to edit_namespace_project_issue_path(@project.namespace, @project, @issue), class: 'btn btn-nr btn-grouped issuable-edit' do
          = icon('pencil-square-o')
          Edit

  .issue-details.issuable-details
    .detail-page-description.gray-content-block.second-block
      %h2.title
        = markdown escape_once(@issue.title), pipeline: :single_line
      %div
        - if @issue.description.present?
          .description{class: can?(current_user, :update_issue, @issue) ? 'js-task-list-container' : ''}
            .wiki
              = preserve do
                = markdown(@issue.description, cache_key: [@issue, "description"])
            %textarea.hidden.js-task-list-field
              = @issue.description

        .merge-requests
          = render 'merge_requests'

    .gray-content-block.second-block.oneline-block
      = render 'votes/votes_block', votable: @issue

    - if @closed_by_merge_requests.present?
      = render 'projects/issues/closed_by_box'

    .row
      %section.col-md-9
        .issuable-discussion
          = render 'projects/issues/discussion'

      %aside.col-md-3
        = render 'shared/issuable/sidebar', issuable: @issue

      = render 'shared/show_aside'
